<div>
  <mat-card class="m-20">
    <mat-card-header>
      <mat-card-title>Gerencial CheckList</mat-card-title>
    </mat-card-header>

    <mat-card-content>
      <mat-card *ngIf="dataSource.length == 0">
        <mat-card-content>
            Não há registros de Checklist.
        </mat-card-content>
       </mat-card>


      <table mat-table *ngIf="dataSource.length > 0" [dataSource]="dataSource" class="mat-elevation-z8">
        <ng-container matColumnDef="id">
          <th mat-header-cell *matHeaderCellDef> Id. </th>
          <td mat-cell *matCellDef="let element; let i = index"> {{i+1}} </td>
        </ng-container>

        <ng-container matColumnDef="description">
          <th mat-header-cell *matHeaderCellDef>Descrição</th>
          <td mat-cell *matCellDef="let element"> {{element.description}} </td>
        </ng-container>

        <ng-container matColumnDef="deadline">
          <th mat-header-cell *matHeaderCellDef>Prazo de Entrega</th>
          <td mat-cell *matCellDef="let element"> {{element.deadline | date : 'dd/MM/yyyy'}} </td>
        </ng-container>

        <ng-container matColumnDef="postDate">
          <th mat-header-cell *matHeaderCellDef>Data de cadastro</th>
          <td mat-cell *matCellDef="let element"> {{element.postDate | date : 'dd/MM/yyyy'}} </td>
        </ng-container>

        <ng-container matColumnDef="isCompleted">
          <th mat-header-cell *matHeaderCellDef>Completar item</th>
          <td mat-cell *matCellDef="let element">
            <mat-icon color="warn" *ngIf="!element.isCompleted" (click)="updateCompletedStatus(element.guid, true)">thumb_down</mat-icon>
            <mat-icon color="primary" *ngIf="element.isCompleted" (click)="updateCompletedStatus(element.guid, false)">thumb_up</mat-icon>
          </td>
        </ng-container>

        <ng-container matColumnDef="category">
          <th mat-header-cell *matHeaderCellDef>Categoria</th>
          <td mat-cell *matCellDef="let element"> {{element.category.name}} </td>
        </ng-container>

        <ng-container matColumnDef="actions">
          <th mat-header-cell *matHeaderCellDef> Ações </th>
          <td mat-cell *matCellDef="let element">
            <button (click)="editCheckList(element)" mat-raised-button color="accent" class="mr-10">Editar</button>
            <button (click)="deleteCheckList(element)" mat-raised-button color="warn">Apagar</button>
          </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
      </table>

    </mat-card-content>

    <mat-card-actions>
      <a mat-raised-button color="warn" [routerLink]="['/']" class="mr-10">Home</a>
      <a mat-raised-button color="primary" [routerLink]="['/categoria']" class="mr-10">Ir para Categoria</a>
      <a mat-raised-button color="primary" (click)="createNewItem()" >Criar novo item do CkeckList</a>
    </mat-card-actions>

  </mat-card>

</div>
